Package jxl

# Interface NumberCell

All Superinterfaces:
  `Cell`

All Known Subinterfaces:
  `NumberFormulaCell`

All Known Implementing Classes:
  `Number`

public interface NumberCell extends Cell
A cell which contains a numerical value

## Method Summary

Modifier and Type
Method
Description
`NumberFormat`
`getNumberFormat()`
Gets the NumberFormat used to format this cell.
`double`
`getValue()`
Gets the double contents for this cell.

### Methods inherited from interface jxl.Cell

`getCellFeatures, getCellFormat, getColumn, getContents, getRow, getType, isHidden`

## Method Details

### getValue

double getValue()
Gets the double contents for this cell.

Returns:
  the cell contents

### getNumberFormat

NumberFormat getNumberFormat()
Gets the NumberFormat used to format this cell. This is the java equivalent of the Excel format

Returns:
  the NumberFormat used to format the cell